function init(hero) {
    hero.setName("Nightwing");
    hero.setTier(3);
    hero.setVersion("\u00A74\u00A7lT\u00A76\u00A7le\u00A7a\u00A7le\u00A7d\u00A7ln \u00A7b\u00A7lT\u00A7a\u00A7li\u00A76\u00A7lt\u00A7d\u00A7la\u00A7b\u00A7ln\u00A74\u00A7ls\u00A7r");
    
    hero.setHelmet("Mask");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addPowers("mvh:tt_nightwing");
    hero.addAttribute("PUNCH_DAMAGE", 5.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 7.8, 0);
    hero.addAttribute("SPRINT_SPEED", 0.25, 1);
    hero.addAttribute("FALL_RESISTANCE", 1, 1);
    
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 1);
    hero.addKeyBind("BLADE", "Equip Escrima Sticks", 2);
   

    hero.setModifierEnabled(isModifierEnabled);
    hero.addAttributeProfile("STICK", weaponProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:flight":
        return !entity.getData("mvh:dyn/flightstyletoggle");
    case "fiskheroes:gliding":
        return entity.getData("mvh:dyn/flightstyletoggle");
        case "fiskheroes:lightning_cast":
        return entity.getData("fiskheroes:blade");
    default:
        return true;
    }
}
function weaponProfile(profile) {
    profile.addAttribute("PUNCH_DAMAGE", 8, 0);
    profile.addAttribute("WEAPON_DAMAGE", 8.0, 0);
    profile.addAttribute("SPRINT_SPEED", 0.25, 1);
    profile.addAttribute("REACH_DISTANCE", 1.0, 0);
    profile.addAttribute("JUMP_HEIGHT", 1.5, 0);
    profile.addAttribute("FALL_RESISTANCE", 1, 1);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "STICK" : null;
}